summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorPaul Clark2015-06-08 15:11:27 +0100
committerPaul Clark2015-06-08 15:11:27 +0100
commit2ae2213a4b445c580b4893e1d8142f065e1a888e (patch)
treea7745808c60ce2b434bf75ed837071680cc09be4 /PKGBUILD
downloadaur-2ae2213a4b445c580b4893e1d8142f065e1a888e.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9e4a1d97c84
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Paul Clark <paul500clark at gmail dot com>
+# Contributor: David Koenig <koenigdmj@gmail.com>
+pkgname=bible-kjv
+pkgver=4.27
+pkgrel=1
+pkgdesc="King James Bible, Concordance, and Command-Line Viewer"
+arch=(i686 x86_64)
+url="http://www.debian.org/"
+license=('GPL')
+depends=('glibc')
+makedepends=('perl')
+source=(http://ftp.debian.org/debian/pool/main/b/${pkgname}/${pkgname}_${pkgver}.tar.gz
+ makefile.patch)
+md5sums=(dcbdff695bb54a87f3930195d39adc72
+ 08416954dd098d84d800fa0fa07bea71)
+
+package () {
+ patch -p1 < makefile.patch
+
+ cd $pkgname
+
+ # upstream ebuild wants "make all", not just "make"
+ make DEST="/usr" DESTLIB="/usr/share/$pkgname" MAKEFLAGS="-j1" all || return 1
+ make DEST="$pkgdir/usr" DESTLIB="$pkgdir/usr/share/$pkgname" install
+
+ # copy for user convenience
+ install -D -m644 bible.rawtext \
+ $pkgdir/usr/share/$pkgname/kjv-uncompressed.txt
+
+ cd debian
+ make randverse
+ install randverse $pkgdir/usr/bin
+ gzip randverse.1
+ install randverse.1.gz $pkgdir/usr/share/man/man1
+}
+
+# vim:set ts=2 sw=2 et: